-- Plots Roads and Movement
-- Author: PlotinusRedux
-- DateCreated: 2/24/2017 7:26:15 AM
--------------------------------------------------------------

UPDATE Route_ValidBuildUnits SET UnitType = "UNIT_BUILDER";

UPDATE Routes SET MovementCost = 0.5, SupportsBridges = 1 WHERE RouteType = "ROUTE_ANCIENT_ROAD";
UPDATE Routes SET MovementCost = 0.5 WHERE RouteType = "ROUTE_MEDIEVAL_ROAD";
UPDATE Routes SET MovementCost = 0.25 WHERE RouteType = "ROUTE_INDUSTRIAL_ROAD";
UPDATE Routes SET MovementCost = 0.125 WHERE RouteType = "ROUTE_MODERN_ROAD";

UPDATE Units SET CostProgressionModel = "NO_COST_PROGRESSION" WHERE UnitType = "UNIT_BUILDER";

UPDATE Units SET BaseMoves = CAST( ROUND
    ( 
        BaseMoves * 
        ( 
            1.0 +
            CASE WHEN
                COALESCE
                (
                    (SELECT e.ChronologyIndex FROM Eras e INNER JOIN Technologies t ON e.EraType = t.EraType WHERE t.TechnologyType = Units.PrereqTech AND Units.PrereqTech IS NOT NULL ),
                    (SELECT e2.ChronologyIndex FROM Eras e2 INNER JOIN Civics c ON e2.EraType = c.EraType WHERE c.CivicType = Units.PrereqCivic AND Units.PrereqCivic IS NOT NULL ),
                    0
                ) 
                > ROUND( (SELECT MAX(e3.ChronologyIndex) FROM Eras e3) * 5.0 / 8.0 ) 
             THEN (CASE Units.Domain WHEN "DOMAIN_LAND" THEN 0.5 ELSE 1.0 END)
             ELSE 0 END
        ) 
    ) AS INTEGER );
        
UPDATE Units SET BaseMoves = CAST( ROUND( BaseMoves * 1.5 ) AS INTEGER ) WHERE UnitType = "UNIT_MEDIC";

UPDATE Units SET Range = BaseMoves WHERE Domain = "DOMAIN_AIR";